{% extends 'base.html' %}
{% load static %}

{% block content %}
    <div class="card">
        <div class="card-header">
            {% if editform %}
                <h4 class="card-title">Edit Customer</h4>
            {% else %}
                <h4 class="card-title">Add Customer</h4>
            {% endif %}
        </div>
        <div class="card-body">
            <div class="basic-form">
                {% if editform %}
                  <form method="POST" action="{% url 'CustomerEdit' customerId=customerId %}" enctype="multipart/form-data">
                {% elif businessLink %}
                    <form method="POST" action="{% url 'CustomerAddToBusiness' businessUUID=businessUUID %}" enctype="multipart/form-data">
                {% else %}
                    <form method="POST" action="{% url 'CustomerAdd' %}" enctype="multipart/form-data">
                {% endif %}
                {% csrf_token %}
                {% if businessLink != True %}
                    <div class="mb-3 row">
                        <label class="col-sm-3 col-form-label">Business</label>
                        <div class="col-sm-9">
                            <select class="form-select" name='businessUUID' aria-label="Select Business">
                                <option selected>Select Business</option>
                                {% for business in businesses %}
                                  <option value="{{ business.uuid }}">{{ business.name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                {% endif %}
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">First Name</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Customer First Name"
                               name="firstName" value="{{ customer.firstName }}">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Last Name</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Customer Last Name"
                               name="lastName" value="{{ customer.lastName }}">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Email</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Email"
                               name="email" value="{{ customer.email }}">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Mobile Number</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Mobile Number"
                               name="mobileNumber" value="{{ customer.mobileNumber }}">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Title</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Title"
                               name="title" value="{{ customer.title }}">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
                <a href="{% url 'CustomerList' %}" class="btn btn-warning">Cancel</a>
                </form>
            </div>
        </div>
    </div>
{% endblock %}
